
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopdocumentForm.java
 * Description    : Form Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopdocument.form;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;

import javax.servlet.http.HttpServletRequest;

import java.util.Collection;

public class AesopdocumentForm extends ActionForm  {

    private String pkey;
    private String combovalue;
    private String document_eid;
    private String name;
    private String user_eid;
    private String user_eid_lb;
    private String groupcode;
    private String groupcode_cd;
    private String groupcode_lb;
    private String publish_yn;
    
    
	public synchronized String getUser_eid_lb() {
		return user_eid_lb;
	}
	public synchronized void setUser_eid_lb(String user_eid_lb) {
		this.user_eid_lb = user_eid_lb;
	}
	public synchronized String getCombovalue() {
		return combovalue;
	}
	public synchronized void setCombovalue(String combovalue) {
		this.combovalue = combovalue;
	}
	public synchronized String getDocument_eid() {
		return document_eid;
	}
	public synchronized void setDocument_eid(String document_eid) {
		this.document_eid = document_eid;
	}
	public synchronized String getGroupcode() {
		return groupcode;
	}
	public synchronized void setGroupcode(String groupcode) {
		this.groupcode = groupcode;
	}
	public synchronized String getGroupcode_cd() {
		return groupcode_cd;
	}
	public synchronized void setGroupcode_cd(String groupcode_cd) {
		this.groupcode_cd = groupcode_cd;
	}
	public synchronized String getGroupcode_lb() {
		return groupcode_lb;
	}
	public synchronized void setGroupcode_lb(String groupcode_lb) {
		this.groupcode_lb = groupcode_lb;
	}
	public synchronized String getName() {
		return name;
	}
	public synchronized void setName(String name) {
		this.name = name;
	}
	public synchronized String getPkey() {
		return pkey;
	}
	public synchronized void setPkey(String pkey) {
		this.pkey = pkey;
	}
	public synchronized String getPublish_yn() {
		return publish_yn;
	}
	public synchronized void setPublish_yn(String publish_yn) {
		this.publish_yn = publish_yn;
	}
	public synchronized String getUser_eid() {
		return user_eid;
	}
	public synchronized void setUser_eid(String user_eid) {
		this.user_eid = user_eid;
	}
    
     
    
    //public ActionErrors validate( ActionMapping mapping, HttpServletRequest request ) {
    //    ActionErrors errors = new ActionErrors();
    //
    //    if ( getName() == null || getName().length() < 1 ) {
    //        errors.add("name",new ActionError("error.name.required"));
    //    }
    //
    //    if ( getAge() == null || getAge().length() < 1 ) {
    //        errors.add("age",new ActionError("error.age.required"));
    //    }
    //    else {
    //        try {
    //           Integer.parseInt( getAge() );
    //        } catch( NumberFormatException ne ) {
    //            errors.add("age",new ActionError("error.age.integer"));
    //        }
    //    }
    //    return errors;
    //}

}
