
/*
 * -----------------------------------------------------------------------------
 * File  Name     : ReworkAesopinspectionlistInitAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2006.01.10
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2006.01.10      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspectionlist.action;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;

import java.util.Collection;

import cc.struts.cian3.aesopinspectionlist.service.AesopinspectionlistService;
import cc.struts.cian3.aesopinspectionlist.form.AesopinspectionlistForm;
import cc.struts.cian3.aesoppreparation.dto.AesoppreparationDTO;
import cc.struts.cian3.aesoppreparationlist.dto.AesoppreparationlistDTO;
import cc.struts.cian3.aesopinspectionlist.dto.AesopinspectionlistDTO;
import cc.struts.cian3.aesoppreparationlist.form.AesoppreparationlistForm;
import cc.struts.cian3.aesoppreparationlist.service.AesoppreparationlistService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


public final class ReworkAesopinspectionlistInitAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {

        AesopinspectionlistService service = new AesopinspectionlistService();
        HttpSession session = request.getSession();
        
        AesopinspectionlistForm aesopinspectionlistForm = (AesopinspectionlistForm) form;
        AesopinspectionlistDTO aesopinspectionlistDTO = new AesopinspectionlistDTO();
        BeanUtils.copyProperties( aesopinspectionlistDTO, aesopinspectionlistForm );
        
        request.setAttribute( "dto", aesopinspectionlistDTO );

        // inspection list  о
        AesopinspectionlistDTO[] arrDto = null;
        arrDto = service.selectAesopinspectionlistList( aesopinspectionlistDTO );
        request.setAttribute( "arrDto", arrDto );
        
        return (mapping.findForward("insert"));
    }
}

