
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopoverviewForm.java
 * Description    : Form Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopoverview.form;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;
import org.apache.struts.upload.FormFile;

import javax.servlet.http.HttpServletRequest;

import java.util.Collection;

public class AesopoverviewForm extends ActionForm  {

	private String pkey;
	private String combovalue;
	private String document_eid;
	private String overview_eid;
	private String stored_filename0;
	private String org_filename0;
	private String stored_filename1;
	private String org_filename1;
	private String stored_filename2;
	private String org_filename2;
	private String stored_filename3;
	private String org_filename3;
	private String stored_filename4;
    private String org_filename4;
	private String inspection_expectation_date;
	private String document_size;
	private String document_size_type;
	private String document_size_type_cd;
	private String document_size_type_lb;
	private String fileList0delyn;
	private String fileList1delyn;
	private String fileList2delyn;
	private String fileList3delyn;
	private String fileList4delyn;
	private String del_yn;
	
	private FormFile[] fileList = new FormFile[5];
	
	private String document_eid_cd;

	public synchronized String getCombovalue() {
		return combovalue;
	}

	public synchronized void setCombovalue(String combovalue) {
		this.combovalue = combovalue;
	}

	public synchronized String getDel_yn() {
		return del_yn;
	}

	public synchronized void setDel_yn(String del_yn) {
		this.del_yn = del_yn;
	}

	public synchronized String getDocument_eid() {
		return document_eid;
	}

	public synchronized void setDocument_eid(String document_eid) {
		this.document_eid = document_eid;
	}

	public synchronized String getDocument_eid_cd() {
		return document_eid_cd;
	}

	public synchronized void setDocument_eid_cd(String document_eid_cd) {
		this.document_eid_cd = document_eid_cd;
	}

	public synchronized String getDocument_size() {
		return document_size;
	}

	public synchronized void setDocument_size(String document_size) {
		this.document_size = document_size;
	}

	public synchronized String getDocument_size_type() {
		return document_size_type;
	}

	public synchronized void setDocument_size_type(String document_size_type) {
		this.document_size_type = document_size_type;
	}

	public synchronized String getDocument_size_type_cd() {
		return document_size_type_cd;
	}

	public synchronized void setDocument_size_type_cd(String document_size_type_cd) {
		this.document_size_type_cd = document_size_type_cd;
	}

	public synchronized String getDocument_size_type_lb() {
		return document_size_type_lb;
	}

	public synchronized void setDocument_size_type_lb(String document_size_type_lb) {
		this.document_size_type_lb = document_size_type_lb;
	}

	public synchronized FormFile[] getFileList() {
		return fileList;
	}

	public synchronized void setFileList(FormFile[] fileList) {
		this.fileList = fileList;
	}

	public synchronized String getFileList0delyn() {
		return fileList0delyn;
	}

	public synchronized void setFileList0delyn(String fileList0delyn) {
		this.fileList0delyn = fileList0delyn;
	}

	public synchronized String getFileList1delyn() {
		return fileList1delyn;
	}

	public synchronized void setFileList1delyn(String fileList1delyn) {
		this.fileList1delyn = fileList1delyn;
	}

	public synchronized String getFileList2delyn() {
		return fileList2delyn;
	}

	public synchronized void setFileList2delyn(String fileList2delyn) {
		this.fileList2delyn = fileList2delyn;
	}

	public synchronized String getFileList3delyn() {
		return fileList3delyn;
	}

	public synchronized void setFileList3delyn(String fileList3delyn) {
		this.fileList3delyn = fileList3delyn;
	}

	public synchronized String getFileList4delyn() {
		return fileList4delyn;
	}

	public synchronized void setFileList4delyn(String fileList4delyn) {
		this.fileList4delyn = fileList4delyn;
	}

	public synchronized String getInspection_expectation_date() {
		return inspection_expectation_date;
	}

	public synchronized void setInspection_expectation_date(
			String inspection_expectation_date) {
		this.inspection_expectation_date = inspection_expectation_date;
	}

	public synchronized String getOrg_filename0() {
		return org_filename0;
	}

	public synchronized void setOrg_filename0(String org_filename0) {
		this.org_filename0 = org_filename0;
	}

	public synchronized String getOrg_filename1() {
		return org_filename1;
	}

	public synchronized void setOrg_filename1(String org_filename1) {
		this.org_filename1 = org_filename1;
	}

	public synchronized String getOrg_filename2() {
		return org_filename2;
	}

	public synchronized void setOrg_filename2(String org_filename2) {
		this.org_filename2 = org_filename2;
	}

	public synchronized String getOrg_filename3() {
		return org_filename3;
	}

	public synchronized void setOrg_filename3(String org_filename3) {
		this.org_filename3 = org_filename3;
	}

	public synchronized String getOrg_filename4() {
		return org_filename4;
	}

	public synchronized void setOrg_filename4(String org_filename4) {
		this.org_filename4 = org_filename4;
	}

	public synchronized String getOverview_eid() {
		return overview_eid;
	}

	public synchronized void setOverview_eid(String overview_eid) {
		this.overview_eid = overview_eid;
	}

	public synchronized String getPkey() {
		return pkey;
	}

	public synchronized void setPkey(String pkey) {
		this.pkey = pkey;
	}

	public synchronized String getStored_filename0() {
		return stored_filename0;
	}

	public synchronized void setStored_filename0(String stored_filename0) {
		this.stored_filename0 = stored_filename0;
	}

	public synchronized String getStored_filename1() {
		return stored_filename1;
	}

	public synchronized void setStored_filename1(String stored_filename1) {
		this.stored_filename1 = stored_filename1;
	}

	public synchronized String getStored_filename2() {
		return stored_filename2;
	}

	public synchronized void setStored_filename2(String stored_filename2) {
		this.stored_filename2 = stored_filename2;
	}

	public synchronized String getStored_filename3() {
		return stored_filename3;
	}

	public synchronized void setStored_filename3(String stored_filename3) {
		this.stored_filename3 = stored_filename3;
	}

	public synchronized String getStored_filename4() {
		return stored_filename4;
	}

	public synchronized void setStored_filename4(String stored_filename4) {
		this.stored_filename4 = stored_filename4;
	}

	
	

    //public ActionErrors validate( ActionMapping mapping, HttpServletRequest request ) {
    //    ActionErrors errors = new ActionErrors();
    //
    //    if ( getName() == null || getName().length() < 1 ) {
    //        errors.add("name",new ActionError("error.name.required"));
    //    }
    //
    //    if ( getAge() == null || getAge().length() < 1 ) {
    //        errors.add("age",new ActionError("error.age.required"));
    //    }
    //    else {
    //        try {
    //           Integer.parseInt( getAge() );
    //        } catch( NumberFormatException ne ) {
    //            errors.add("age",new ActionError("error.age.integer"));
    //        }
    //    }
    //    return errors;
    //}

}
