
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesoppreparationDTO.java
 * Description    : DTO Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesoppreparation.dto;

public class AesoppreparationDTO {

    private String pkey;
    private int    combovalue;
    private int    user_eid;
    private int    document_eid;
    private int    overview_eid;
    private int    preparation_eid;
    private int    consumed_time;

    public AesoppreparationDTO() {
        super();
    }

	public synchronized int getCombovalue() {
		return combovalue;
	}

	public synchronized void setCombovalue(int combovalue) {
		this.combovalue = combovalue;
	}

	public synchronized int getConsumed_time() {
		return consumed_time;
	}

	public synchronized void setConsumed_time(int consumed_time) {
		this.consumed_time = consumed_time;
	}

	public synchronized int getDocument_eid() {
		return document_eid;
	}

	public synchronized void setDocument_eid(int document_eid) {
		this.document_eid = document_eid;
	}

	public synchronized int getOverview_eid() {
		return overview_eid;
	}

	public synchronized void setOverview_eid(int overview_eid) {
		this.overview_eid = overview_eid;
	}

	public synchronized String getPkey() {
		return pkey;
	}

	public synchronized void setPkey(String pkey) {
		this.pkey = pkey;
	}

	public synchronized int getPreparation_eid() {
		return preparation_eid;
	}

	public synchronized void setPreparation_eid(int preparation_eid) {
		this.preparation_eid = preparation_eid;
	}

	public synchronized int getUser_eid() {
		return user_eid;
	}

	public synchronized void setUser_eid(int user_eid) {
		this.user_eid = user_eid;
	}

    
}
