
/*
 * -----------------------------------------------------------------------------
 * File  Name     : InsertAesoppreparationlistInitAction.java
 * Description    : Action class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesoppreparationlist.action;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import java.util.Collection;

import cc.struts.cian3.aesoppreparation.dto.AesoppreparationDTO;
import cc.struts.cian3.aesoppreparationlist.service.AesoppreparationlistService;
import cc.struts.cian3.aesoppreparationlist.dto.AesoppreparationlistDTO;
import cc.struts.cian3.aesoppreparationlist.form.AesoppreparationlistForm;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


public final class InsertAesoppreparationlistInitAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {

        AesoppreparationlistService service = new AesoppreparationlistService();
        HttpSession session = request.getSession();
        
        AesoppreparationlistForm aesoppreparationlistForm = (AesoppreparationlistForm) form;
        AesoppreparationlistDTO aesoppreparationlistDTO = new AesoppreparationlistDTO();
        BeanUtils.copyProperties( aesoppreparationlistDTO, aesoppreparationlistForm );

        request.setAttribute( "dto", aesoppreparationlistDTO );

        
        AesoppreparationlistService service3 = new AesoppreparationlistService();        
        AesoppreparationlistDTO aesoppreparationlistDTO3 = new AesoppreparationlistDTO();
        BeanUtils.copyProperties( aesoppreparationlistDTO3, aesoppreparationlistForm );
        AesoppreparationlistDTO[] arrDto3 = null;
       
        AesoppreparationDTO aesoppreparationDTO3 = new AesoppreparationDTO();
        // Ȯ ʿ.
        aesoppreparationDTO3.setUser_eid( aesoppreparationlistDTO.getUser_eid() );
        aesoppreparationDTO3.setDocument_eid( aesoppreparationlistDTO.getDocument_eid() );
        aesoppreparationDTO3.setOverview_eid( aesoppreparationlistDTO.getOverview_eid() );
        aesoppreparationDTO3.setPreparation_eid( aesoppreparationlistDTO.getPreparation_eid() );

        arrDto3 = service3.selectAesoppreparationlistList( aesoppreparationlistDTO3 );
        request.setAttribute( "arrDto", arrDto3 );

        Collection defect_weight_cd = service.selectDefect_weightCodeList();
        session.setAttribute( "defect_weight_cd", defect_weight_cd );

        return (mapping.findForward("insert"));
    }
}

