/*
 * -----------------------------------------------------------------------------
 * File  Name     : FileForm.java
 * Description    : Form Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2006.01.01
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2006.01.01      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.form;

import org.apache.struts.action.ActionForm;

public class FileForm extends ActionForm {

    private String userUploadedFileName;
    private String diskStoredFileName;
    private String uploadDate;
    private String uploadTime;
    private String contentType;
    private int    fileSize;
	public synchronized String getContentType() {
		return contentType;
	}
	public synchronized void setContentType(String contentType) {
		this.contentType = contentType;
	}
	public synchronized String getDiskStoredFileName() {
		return diskStoredFileName;
	}
	public synchronized void setDiskStoredFileName(String diskStoredFileName) {
		this.diskStoredFileName = diskStoredFileName;
	}
	public synchronized int getFileSize() {
		return fileSize;
	}
	public synchronized void setFileSize(int fileSize) {
		this.fileSize = fileSize;
	}
	public synchronized String getUploadDate() {
		return uploadDate;
	}
	public synchronized void setUploadDate(String uploadDate) {
		this.uploadDate = uploadDate;
	}
	public synchronized String getUploadTime() {
		return uploadTime;
	}
	public synchronized void setUploadTime(String uploadTime) {
		this.uploadTime = uploadTime;
	}
	public synchronized String getUserUploadedFileName() {
		return userUploadedFileName;
	}
	public synchronized void setUserUploadedFileName(String userUploadedFileName) {
		this.userUploadedFileName = userUploadedFileName;
	}
    
    


}
