
<%--
  Description :
  History
  -------------------------------------------------------------
  ver.    Date          author          description
  -------------------------------------------------------------
  1.0  2005.12.24    Suh, Hyuck Jun     Initial Release

--%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ page contentType="text/html;charset=euc-kr" %>
<html>
  <head>
    <link href="<html:rewrite page="/rr.css" />" rel="stylesheet" type="text/css">
    <title><bean:message key="title.aesopinspection.update"/></title>
  </head>
  <body>

  <bean:message key="menu.4"/>    
  <h1><bean:message key="title.aesopinspection.update"/></h1>
  <logic:messagesPresent>
      <span id="errorsHeader"><bean:message key="errors.validation.header"/></span>
      <html:messages id="error">
        <li><c:out value="${error}"/></li>
      </html:messages>
      <hr>
  </logic:messagesPresent>
  <logic:messagesPresent message="true">
         <html:messages id="message" message="true">
           <span id="success"><c:out value="${message}"/></span><br>
         </html:messages>
  </logic:messagesPresent>
  <html:form action="UpdateAesopinspectionAction" focus="name">
  <html:hidden name="AesopinspectionForm" property="user_eid"/>
  <html:hidden name="AesopinspectionForm" property="document_eid"/>
  <html:hidden name="AesopinspectionForm" property="overview_eid"/>
  <html:hidden name="AesopinspectionForm" property="eid"/>
  <table>
    <tr>
      <td>Ʈ/:</td>
      <td><html:text property="teamname"/></td>
    </tr>
    <tr>
      <td>⹰:</td>
      <td>
        <html:select name="AesopinspectionForm" property="result_type">
          <html:options collection="result_type_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Ÿ⹰:</td>
      <td><html:text property="result_type_description"/></td>
    </tr>
    <tr>
      <td>InspectionϽ:</td>
      <td><html:text property="date"/></td>
    </tr>
    <tr>
      <td>⹰Size(ȹ):</td>
      <td><html:text property="doc_size_expect"/></td>
    </tr>
    <tr>
      <td>⹰Size():</td>
      <td><html:text property="doc_size_result"/></td>
    </tr>
    <tr>
      <td>overviewҿð/ڼ:</td>
      <td><html:text property="overview_time"/></td>
    </tr>
    <tr>
      <td>preparationҿð/ڼ:</td>
      <td><html:text property="preparation_time"/></td>
    </tr>
    <tr>
      <td>InspectionȸǼҿð:</td>
      <td><html:text property="inspection_time"/></td>
    </tr>
    <tr>
      <td>MajorԼ:</td>
      <td><html:text property="majorcount"/></td>
    </tr>
    <tr>
      <td>MinorԼ:</td>
      <td><html:text property="minorcount"/></td>
    </tr>
    <tr>
      <td>Re-inspection:</td>
      <td>
        <html:select name="AesopinspectionForm" property="reinspection_yn">
          <html:options collection="reinspection_yn_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Re-inspection࿹:</td>
      <td><html:text property="reinspection_date"/></td>
    </tr>
    <tr>
      <td>۾:</td>
      <td>
        <html:select name="AesopinspectionForm" property="rework_check_user_eid">
          <html:options collection="rework_check_user_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>۾ҿð:</td>
      <td><html:text property="rework_time"/></td>
    </tr>
    <tr>
      <td>Producer:</td>
      <td>
        <html:select name="AesopinspectionForm" property="producer_eid">
          <html:options collection="producer_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Moderator:</td>
      <td>
        <html:select name="AesopinspectionForm" property="moderator_eid">
          <html:options collection="moderator_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Reader:</td>
      <td>
        <html:select name="AesopinspectionForm" property="reader_eid">
          <html:options collection="reader_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Recorder:</td>
      <td>
        <html:select name="AesopinspectionForm" property="recorder_eid">
          <html:options collection="recorder_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Inspector1:</td>
      <td>
        <html:select name="AesopinspectionForm" property="inspector1_eid">
          <html:options collection="inspector1_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Inspector2:</td>
      <td>
        <html:select name="AesopinspectionForm" property="inspector2_eid">
          <html:options collection="inspector2_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Inspector3:</td>
      <td>
        <html:select name="AesopinspectionForm" property="inspector3_eid">
          <html:options collection="inspector3_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Inspector4:</td>
      <td>
        <html:select name="AesopinspectionForm" property="inspector4_eid">
          <html:options collection="inspector4_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Inspector5:</td>
      <td>
        <html:select name="AesopinspectionForm" property="inspector5_eid">
          <html:options collection="inspector5_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Inspector6:</td>
      <td>
        <html:select name="AesopinspectionForm" property="inspector6_eid">
          <html:options collection="inspector6_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Inspector7:</td>
      <td>
        <html:select name="AesopinspectionForm" property="inspector7_eid">
          <html:options collection="inspector7_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Inspector8:</td>
      <td>
        <html:select name="AesopinspectionForm" property="inspector8_eid">
          <html:options collection="inspector8_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Inspector9:</td>
      <td>
        <html:select name="AesopinspectionForm" property="inspector9_eid">
          <html:options collection="inspector9_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <td>Inspector10:</td>
      <td>
        <html:select name="AesopinspectionForm" property="inspector10_eid">
          <html:options collection="inspector10_eid_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
  </table>
  <html:submit><bean:message key="button.update"/></html:submit>
  </html:form>
  <html:link page="/SelectAesopinspectionList.do"><bean:message key="title.aesopinspection.selectlist"/></html:link>
  </body>
</html>
