<%--
  Description :
  History
  -------------------------------------------------------------
  ver.    Date          author          description
  -------------------------------------------------------------
  1.0  2005.12.24    Suh, Hyuck Jun     Initial Release

--%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ page contentType="text/html;charset=euc-kr" %>
<html>
  <head>
    <link href="<html:rewrite page="/rr.css" />" rel="stylesheet" type="text/css">
    <title><bean:message key="title.aesopinspectionlist.insert"/></title>
  </head>
  <body>
    <!--  -->
    <div id='wikiHeader'>
    <!-- () -->

    <bean:message key="menu.4"/>    
    <h1><bean:message key="title.aesopinspectionlist.insert"/></h1>

    <!-- ü δ ̺  -->
    <table class="wiki" border=0>
      <tr>
        <td width=50%>    
    <!-- ü δ ̺ () -->    
        
          <table class="wiki">
            <tr>
              <td colspan=5><b>Overview Summary</b></td>
            </tr>
            <tr class="wiki">
              <td class="info">Inspector</td>
              <td class="info">ȣ</td>          
              <td class="info">߰ġ </td>
              <td class="info"></td>
              <td class="info"></td>
            </tr>
          <c:forEach var="arrDto" items="${arrDto}">
            <tr class="wiki">
              <td class="wiki"><c:out value="${arrDto.user_eid_lb}"/></td>        
              <td class="wiki"><c:out value="${arrDto.preparationlist_eid}"/></td>
              <td class="wiki"><c:out value="${arrDto.detect_position}"/></td>
              <td class="wiki"><c:out value="${arrDto.defect_weight_lb}"/></td>
              <td class="wiki"><c:out value="${arrDto.comments}"/></td>
            </tr>
          </c:forEach>
          </table>

        </td>
        <td width=50%>
        
        
          <table class="wiki">
            <tr>
              <td colspan=5><b>Inspection </b></td>
            </tr>
            <tr class="wiki">
              <td class="info">ȣ</td>          
              <td class="info">߰ġ </td>
              <td class="info"></td>
              <td class="info"></td>
              <td class="info"></td>
              <td class="info"></td>   
            </tr>
          <c:forEach var="arrDto2" items="${arrDto2}">
            <tr class="wiki">
              <td class="wiki"><c:out value="${arrDto2.inspectionlist_eid}"/></td>
              <td class="wiki"><c:out value="${arrDto2.detect_position}"/></td>
              <td class="wiki"><c:out value="${arrDto2.defect_weight_lb}"/></td>
              <td class="wiki"><c:out value="${arrDto2.comments}"/></td>
              <td class="wiki"><a href='<%=request.getContextPath()%>/UpdateAesopinspectionlistInit.do?user_eid=<c:out value="${arrDto2.user_eid}"/>&overview_eid=<c:out value="${arrDto2.overview_eid}"/>&document_eid=<c:out value="${arrDto2.document_eid}"/>&inspection_eid=<c:out value="${arrDto2.inspection_eid}"/>&inspectionlist_eid=<c:out value="${arrDto2.inspectionlist_eid}"/>'></a></td>
              <td class="wiki"><a href='<%=request.getContextPath()%>/DeleteAesopinspectionlist.do?user_eid=<c:out value="${arrDto2.user_eid}"/>&overview_eid=<c:out value="${arrDto2.overview_eid}"/>&document_eid=<c:out value="${arrDto2.document_eid}"/>&inspection_eid=<c:out value="${arrDto2.inspection_eid}"/>&inspectionlist_eid=<c:out value="${arrDto2.inspectionlist_eid}"/>' onclick="return confirm('<bean:message key="popup.delete"/>')"></a></td>    
            </tr>
          </c:forEach>
          </table>
          
          
    <!-- ü δ ̺ ߰() -->
        </td>
      </tr>
      <tr>
        <td width=50%>
          &nbsp;
        </td>
        <td width=50%>
    <!-- ü δ ̺ ߰() -->
          
          

          <logic:messagesPresent>
            <span id="errorsHeader"><bean:message key="errors.validation.header"/></span>
            <html:messages id="error">
              <li><c:out value="${error}"/></li>
            </html:messages>
            <hr>
          </logic:messagesPresent>
          <logic:messagesPresent message="true">
            <html:messages id="message" message="true">
              <span id="success"><c:out value="${message}"/></span><br>
            </html:messages>
          </logic:messagesPresent>
          <html:form action="InsertAesopinspectionlistAction" >
            <input type="hidden" name="document_eid" value="<c:out value="${dto.document_eid}"/>">
            <input type="hidden" name="user_eid" value="<c:out value="${dto.user_eid}"/>">
            <input type="hidden" name="overview_eid" value="<c:out value="${dto.overview_eid}"/>">
            <input type="hidden" name="inspection_eid" value="<c:out value="${dto.inspection_eid}"/>">                  
            <input type="hidden" name="preparation_eid" value="<c:out value="${dto.preparation_eid}"/>">                        
            <input type="hidden" name="fix_yn" value="2">
            <input type="hidden" name="fix_time" value="0">            
            
            <table>
              <tr>
                <td>Defect߰ġ:</td>
                <td><html:text property="detect_position"/></td>
              </tr>
              <tr>
                <td>Major/Minor/Open/Improve:</td>
                <td>
                  <html:select name="AesopinspectionlistForm" property="defect_weight">
                    <html:options collection="defect_weight_cd" property="pkey" labelProperty="combovalue"/>
                  </html:select>
                </td>
              </tr>
              <tr>
                <td>Defect Type:</td>
                <td>
                  <html:select name="AesopinspectionlistForm" property="defect_type">
                    <html:options collection="defect_type_cd" property="pkey" labelProperty="combovalue"/>
                  </html:select>
                </td>
              </tr>
              <tr>
                <td> ܰ:</td>
                <td>
                  <html:select name="AesopinspectionlistForm" property="stage">
                    <html:options collection="stage_cd" property="pkey" labelProperty="combovalue"/>
                  </html:select>
                </td>
              </tr>
              <tr>
                <td>:</td>
                <td>
                  <html:textarea property="comments" cols="20" rows="5" />
                </td>
              </tr>
            </table>
            <html:submit><bean:message key="button.submit"/></html:submit>
          </html:form>
    
    
    
    <!-- ü δ ̺ () -->
        </td>
      </tr>
    </table>
    <!-- ü δ ̺ () -->
    
    
    
    <br>
    <a href='<%=request.getContextPath()%>/SelectAesopoverviewList.do?document_eid=<c:out value="${dto.document_eid}"/>'><bean:message key="title.aesopoverview.selectlist"/></a>
    
    <!--  -->
    <hr class='wikiHr' />
    <div id='wikiBody'>
      <div id='wikiContent'>
        <div class='indent'>
    <!-- () -->
    
    <h2>Inspection</h2>
    <div class='indent'>
      <h3>Inspection  Ȱ  ߽ Ǵ Ȱ Inspection ڰ     Defect ãƳ  ̸  Ģ  ϴ ȸǸ ǹѴ.</h3>
      <li>Moderator 뺸 ڵ Ͽ ο غ  Ͽ Ȯ  ,  ʴٰ Ǵܵ  Inspection ȸǸ Ѵ.
      <li>غ ϴٰ Ǵܵ , Moderator InspectionȸǸ ϸ,  ڴ   Ͽ Defect ĺѴ.  Defect ĺϴ  .
      <li>Inspection ȸ Moderator ۾ ⹰ Re-InspectionǾ ʿ䰡 ִ Ѵ. ( By  ǰ, Defect ̳ ,  ʿ䰡 ִ ڷ  )
      <li>Inspection ȸ  Recorder Inspection  ͸ Inspection ȸ  Ѵ. 
    </div>
    
    <!--  -->
    </div></div></div>
    <!-- () -->
    <!-- 볡 -->
    </div>
    <!-- 볡() -->
  </body>
</html>