
<%--
  Description :
  History
  -------------------------------------------------------------
  ver.    Date          author          description
  -------------------------------------------------------------
  1.0  2005.12.24    Suh, Hyuck Jun     Initial Release

--%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ page contentType="text/html;charset=euc-kr" %>
<html>
  <head>
    <link href="<html:rewrite page="/rr.css" />" rel="stylesheet" type="text/css">
    <title><bean:message key="title.aesopinspectionlist.select"/></title>
  </head>
  <body>

  <bean:message key="menu.4"/>    
  <h1><bean:message key="title.aesopinspectionlist.select"/></h1>
  <table border=1>
    <tr>
      <td><c:out value="${dto.user_eid}"/></td>
      <td><c:out value="${dto.document_eid}"/></td>
      <td><c:out value="${dto.overview_eid}"/></td>
      <td><c:out value="${dto.inspection_eid}"/></td>
      <td><c:out value="${dto.inspectionlist_eid}"/></td>
      <td><c:out value="${dto.detect_position}"/></td>
      <td><c:out value="${dto.defect_weight}"/></td>
      <td><c:out value="${dto.defect_type}"/></td>
      <td><c:out value="${dto.stage}"/></td>
      <td><c:out value="${dto.comments}"/></td>
      <td><c:out value="${dto.fix_yn}"/></td>
      <td><c:out value="${dto.fix_time}"/></td>
    </tr>
  </table>
  <a href='<%=request.getContextPath()%>/DeleteAesopinspectionlist.do?inspectionlist_eid=<c:out value="${dto.inspectionlist_eid}"/>'><bean:message key="title.aesopinspectionlist.delete"/></a><br>
  <html:link page="/InsertAesopinspectionlistInit.do"><bean:message key="title.aesopinspectionlist.insert"/></html:link><br>
  <a href='<%=request.getContextPath()%>/UpdateAesopinspectionlistInit.do?inspectionlist_eid=<c:out value="${dto.inspectionlist_eid}"/>'><bean:message key="title.aesopinspectionlist.update"/></a><br>
  <html:link page="/SelectAesopinspectionlistList.do"><bean:message key="title.aesopinspectionlist.selectlist"/></html:link>
  </body>
</html>
