
<%--
  Description :
  History
  -------------------------------------------------------------
  ver.    Date          author          description
  -------------------------------------------------------------
  1.0  2005.12.24    Suh, Hyuck Jun     Initial Release

--%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ page contentType="text/html;charset=euc-kr" %>
<html>
  <head>
    <link href="<html:rewrite page="/rr.css" />" rel="stylesheet" type="text/css">
    <title><bean:message key="title.aesoppreparationlist.insert"/></title>
  </head>
  <body>
    <!--  -->
    <div id='wikiHeader'>
    <!-- () -->

    <bean:message key="menu.3"/>
    <h1><bean:message key="title.aesoppreparationlist.insert"/></h1>
    <logic:messagesPresent>
      <span id="errorsHeader"><bean:message key="errors.validation.header"/></span>
      <html:messages id="error">
        <li><c:out value="${error}"/></li>
      </html:messages>
      <hr>
    </logic:messagesPresent>
    <html:form action="InsertAesoppreparationlistAction">
      <input type="hidden" name="document_eid" value="<c:out value="${dto.document_eid}"/>">
      <input type="hidden" name="user_eid" value="<c:out value="${dto.user_eid}"/>">
      <input type="hidden" name="overview_eid" value="<c:out value="${dto.overview_eid}"/>">
      <input type="hidden" name="preparation_eid" value="<c:out value="${dto.preparation_eid}"/>">                  
    
      <table class="wiki">
        <tr class="wiki">
          <td class="info"> ҿð: <html:text property="consumed_time" size="3"/></td>
        </tr>
      </table>
      <br>
      <table class="wiki">
        <tr class="wiki">
          <td class="info">ȣ</td>          
          <td class="info">߰ġ </td>
          <td class="info"></td>
          <td class="info"></td>
          <td class="info"></td>
          <td class="info"></td>                                                  
        </tr>
      <c:forEach var="arrDto" items="${arrDto}">
        <tr class="wiki">
          <td class="wiki"><c:out value="${arrDto.preparationlist_eid}"/></td>
          <td class="wiki"><c:out value="${arrDto.detect_position}"/></td>
          <td class="wiki"><c:out value="${arrDto.defect_weight_lb}"/></td>
          <td class="wiki"><c:out value="${arrDto.comments}"/></td>
          <td class="wiki"><a href='<%=request.getContextPath()%>/UpdateAesoppreparationlistInit.do?user_eid=<c:out value="${arrDto.user_eid}"/>&overview_eid=<c:out value="${arrDto.overview_eid}"/>&document_eid=<c:out value="${arrDto.document_eid}"/>&preparation_eid=<c:out value="${arrDto.preparation_eid}"/>&preparationlist_eid=<c:out value="${arrDto.preparationlist_eid}"/>'></a></td>
          <td class="wiki"><a href='<%=request.getContextPath()%>/DeleteAesoppreparationlist.do?user_eid=<c:out value="${arrDto.user_eid}"/>&overview_eid=<c:out value="${arrDto.overview_eid}"/>&document_eid=<c:out value="${arrDto.document_eid}"/>&preparation_eid=<c:out value="${arrDto.preparation_eid}"/>&preparationlist_eid=<c:out value="${arrDto.preparationlist_eid}"/>' onclick="return confirm('<bean:message key="popup.delete"/>')"></a></td>
        </tr>
      </c:forEach>
      </table>
      <logic:messagesPresent message="true">
        <html:messages id="message" message="true">
          <span id="success"><c:out value="${message}"/></span><br>
        </html:messages>
      </logic:messagesPresent>     
      <br>
      <table class="wiki">
        <tr class="wiki">
          <td class="info">Defect ߰ġ:</td>
          <td class="wiki"><html:text property="detect_position"/></td>
        </tr>
        <tr class="wiki">
          <td class="info">Major/Minor/Open/Improve:</td>
          <td class="wiki">
            <html:select name="AesoppreparationlistForm" property="defect_weight">
              <html:options collection="defect_weight_cd" property="pkey" labelProperty="combovalue"/>
            </html:select>
          </td>
        </tr>
        <tr>
          <td>:</td>
          <td>
            <html:textarea property="comments" cols="40" rows="10" />
          </td>
        </tr>
      </table>
      <html:submit><bean:message key="button.submit"/></html:submit>
    </html:form>
    <a href='<%=request.getContextPath()%>/SelectAesopoverviewList.do?document_eid=<c:out value="${dto.document_eid}"/>'><bean:message key="title.aesopoverview.selectlist"/></a>

    
    <!--  -->
    <hr class='wikiHr' />
    <div id='wikiBody'>
      <div id='wikiContent'>
        <div class='indent'>
    <!-- () -->
    
    <h2>Preparation(غ)</h2>
    <div class='indent'>
      <h3>Inspection ȸǸ   Moderator  Producer   Inspection ڵ  Inspection  ⹰ ϰ Defect ãƿ  Ȱ ǹѴ.</h3>
      <li>Moderator Inspection ϰ  ۾ ⹰ ̸ ϸ, ڷᵵ Բ Ѵ.  Inspection ϴ  ҵ Ѵ 
      <li>Inspector  üũƮ Ͽ Defect  ã Ȱ ϸ ߰ߵ  Defect Inspection غ  Ѵ.      
      <li> ڵ غ ۼѴ.  Ѵ.
      <div class='indent'>
        <ul>
          <li>Checklist
          <li>̵
        </ul>
      </div>
    </div>
    
    <!--  -->
    </div></div></div>
    <!-- () -->
    <!-- 볡 -->
    </div>
    <!-- 볡() -->
  </body>
</html>