
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopdocumentDTO.java
 * Description    : DTO Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopdocument.dto;

public class AesopdocumentDTO {

    private String pkey;
    private int    combovalue;
    private int    document_eid;
    private String name;
    private int    user_eid;
    private String user_eid_lb;
    private int    groupcode;
    private int    groupcode_cd;
    private String groupcode_lb;
    private String publish_yn;
    
    public AesopdocumentDTO() {
        super();
    }

	public synchronized int getCombovalue() {
		return combovalue;
	}

	public synchronized void setCombovalue(int combovalue) {
		this.combovalue = combovalue;
	}

	public synchronized int getDocument_eid() {
		return document_eid;
	}

	public synchronized void setDocument_eid(int document_eid) {
		this.document_eid = document_eid;
	}

	public synchronized int getGroupcode() {
		return groupcode;
	}

	public synchronized void setGroupcode(int groupcode) {
		this.groupcode = groupcode;
	}

	public synchronized int getGroupcode_cd() {
		return groupcode_cd;
	}

	public synchronized void setGroupcode_cd(int groupcode_cd) {
		this.groupcode_cd = groupcode_cd;
	}

	public synchronized String getGroupcode_lb() {
		return groupcode_lb;
	}

	public synchronized void setGroupcode_lb(String groupcode_lb) {
		this.groupcode_lb = groupcode_lb;
	}

	public synchronized String getName() {
		return name;
	}

	public synchronized void setName(String name) {
		this.name = name;
	}

	public synchronized String getPkey() {
		return pkey;
	}

	public synchronized void setPkey(String pkey) {
		this.pkey = pkey;
	}

	public synchronized String getPublish_yn() {
		return publish_yn;
	}

	public synchronized void setPublish_yn(String publish_yn) {
		this.publish_yn = publish_yn;
	}

	public synchronized int getUser_eid() {
		return user_eid;
	}

	public synchronized void setUser_eid(int user_eid) {
		this.user_eid = user_eid;
	}

	public synchronized String getUser_eid_lb() {
		return user_eid_lb;
	}

	public synchronized void setUser_eid_lb(String user_eid_lb) {
		this.user_eid_lb = user_eid_lb;
	}


}
