
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesopinspectionDTO.java
 * Description    : DTO Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesopinspection.dto;

public class AesopinspectionDTO {

    private String pkey;
    private int    combovalue;
    private int    user_eid;
    private int    document_eid;
    private int    overview_eid;
    private int    eid;
    private String teamname;
    private int    result_type;
    private String result_type_description;
    private String date;
    private String doc_size_expect;
    private String doc_size_result;
    private int    overview_time;
    private int    preparation_time;
    private int    inspection_time;
    private int    majorcount;
    private int    minorcount;
    private int    reinspection_yn;
    private String reinspection_date;
    private int    rework_check_user_eid;
    private int    rework_time;
    private int    producer_eid;
    private int    moderator_eid;
    private int    reader_eid;
    private int    recorder_eid;
    private int    inspector1_eid;
    private int    inspector2_eid;
    private int    inspector3_eid;
    private int    inspector4_eid;
    private int    inspector5_eid;
    private int    inspector6_eid;
    private int    inspector7_eid;
    private int    inspector8_eid;
    private int    inspector9_eid;
    private int    inspector10_eid;
    private int    result_type_cd;
    private int    reinspection_yn_cd;
    private int    rework_check_user_eid_cd;
    private int    producer_eid_cd;
    private int    moderator_eid_cd;
    private int    reader_eid_cd;
    private int    recorder_eid_cd;
    private int    inspector1_eid_cd;
    private int    inspector2_eid_cd;
    private int    inspector3_eid_cd;
    private int    inspector4_eid_cd;
    private int    inspector5_eid_cd;
    private int    inspector6_eid_cd;
    private int    inspector7_eid_cd;
    private int    inspector8_eid_cd;
    private int    inspector9_eid_cd;
    private int    inspector10_eid_cd;

    public AesopinspectionDTO() {
        super();
    }

    public synchronized String getPkey(){
        return pkey;
    }

    public synchronized void setPkey( String pkey ){
        this.pkey = pkey;
    }

    public synchronized int getCombovalue(){
        return combovalue;
    }

    public synchronized void setCombovalue( int combovalue ){
        this.combovalue = combovalue;
    }

    public synchronized int getUser_eid(){
        return user_eid;
    }

    public synchronized void setUser_eid( int user_eid ){
        this.user_eid = user_eid;
    }

    public synchronized int getDocument_eid(){
        return document_eid;
    }

    public synchronized void setDocument_eid( int document_eid ){
        this.document_eid = document_eid;
    }

    public synchronized int getOverview_eid(){
        return overview_eid;
    }

    public synchronized void setOverview_eid( int overview_eid ){
        this.overview_eid = overview_eid;
    }

    public synchronized int getEid(){
        return eid;
    }

    public synchronized void setEid( int eid ){
        this.eid = eid;
    }

    public synchronized String getTeamname(){
        return teamname;
    }

    public synchronized void setTeamname( String teamname ){
        this.teamname = teamname;
    }

    public synchronized int getResult_type(){
        return result_type;
    }

    public synchronized void setResult_type( int result_type ){
        this.result_type = result_type;
    }

    public synchronized String getResult_type_description(){
        return result_type_description;
    }

    public synchronized void setResult_type_description( String result_type_description ){
        this.result_type_description = result_type_description;
    }

    public synchronized String getDate(){
        return date;
    }

    public synchronized void setDate( String date ){
        this.date = date;
    }

    public synchronized String getDoc_size_expect(){
        return doc_size_expect;
    }

    public synchronized void setDoc_size_expect( String doc_size_expect ){
        this.doc_size_expect = doc_size_expect;
    }

    public synchronized String getDoc_size_result(){
        return doc_size_result;
    }

    public synchronized void setDoc_size_result( String doc_size_result ){
        this.doc_size_result = doc_size_result;
    }

    public synchronized int getOverview_time(){
        return overview_time;
    }

    public synchronized void setOverview_time( int overview_time ){
        this.overview_time = overview_time;
    }

    public synchronized int getPreparation_time(){
        return preparation_time;
    }

    public synchronized void setPreparation_time( int preparation_time ){
        this.preparation_time = preparation_time;
    }

    public synchronized int getInspection_time(){
        return inspection_time;
    }

    public synchronized void setInspection_time( int inspection_time ){
        this.inspection_time = inspection_time;
    }

    public synchronized int getMajorcount(){
        return majorcount;
    }

    public synchronized void setMajorcount( int majorcount ){
        this.majorcount = majorcount;
    }

    public synchronized int getMinorcount(){
        return minorcount;
    }

    public synchronized void setMinorcount( int minorcount ){
        this.minorcount = minorcount;
    }

    public synchronized int getReinspection_yn(){
        return reinspection_yn;
    }

    public synchronized void setReinspection_yn( int reinspection_yn ){
        this.reinspection_yn = reinspection_yn;
    }

    public synchronized String getReinspection_date(){
        return reinspection_date;
    }

    public synchronized void setReinspection_date( String reinspection_date ){
        this.reinspection_date = reinspection_date;
    }

    public synchronized int getRework_check_user_eid(){
        return rework_check_user_eid;
    }

    public synchronized void setRework_check_user_eid( int rework_check_user_eid ){
        this.rework_check_user_eid = rework_check_user_eid;
    }

    public synchronized int getRework_time(){
        return rework_time;
    }

    public synchronized void setRework_time( int rework_time ){
        this.rework_time = rework_time;
    }

    public synchronized int getProducer_eid(){
        return producer_eid;
    }

    public synchronized void setProducer_eid( int producer_eid ){
        this.producer_eid = producer_eid;
    }

    public synchronized int getModerator_eid(){
        return moderator_eid;
    }

    public synchronized void setModerator_eid( int moderator_eid ){
        this.moderator_eid = moderator_eid;
    }

    public synchronized int getReader_eid(){
        return reader_eid;
    }

    public synchronized void setReader_eid( int reader_eid ){
        this.reader_eid = reader_eid;
    }

    public synchronized int getRecorder_eid(){
        return recorder_eid;
    }

    public synchronized void setRecorder_eid( int recorder_eid ){
        this.recorder_eid = recorder_eid;
    }

    public synchronized int getInspector1_eid(){
        return inspector1_eid;
    }

    public synchronized void setInspector1_eid( int inspector1_eid ){
        this.inspector1_eid = inspector1_eid;
    }

    public synchronized int getInspector2_eid(){
        return inspector2_eid;
    }

    public synchronized void setInspector2_eid( int inspector2_eid ){
        this.inspector2_eid = inspector2_eid;
    }

    public synchronized int getInspector3_eid(){
        return inspector3_eid;
    }

    public synchronized void setInspector3_eid( int inspector3_eid ){
        this.inspector3_eid = inspector3_eid;
    }

    public synchronized int getInspector4_eid(){
        return inspector4_eid;
    }

    public synchronized void setInspector4_eid( int inspector4_eid ){
        this.inspector4_eid = inspector4_eid;
    }

    public synchronized int getInspector5_eid(){
        return inspector5_eid;
    }

    public synchronized void setInspector5_eid( int inspector5_eid ){
        this.inspector5_eid = inspector5_eid;
    }

    public synchronized int getInspector6_eid(){
        return inspector6_eid;
    }

    public synchronized void setInspector6_eid( int inspector6_eid ){
        this.inspector6_eid = inspector6_eid;
    }

    public synchronized int getInspector7_eid(){
        return inspector7_eid;
    }

    public synchronized void setInspector7_eid( int inspector7_eid ){
        this.inspector7_eid = inspector7_eid;
    }

    public synchronized int getInspector8_eid(){
        return inspector8_eid;
    }

    public synchronized void setInspector8_eid( int inspector8_eid ){
        this.inspector8_eid = inspector8_eid;
    }

    public synchronized int getInspector9_eid(){
        return inspector9_eid;
    }

    public synchronized void setInspector9_eid( int inspector9_eid ){
        this.inspector9_eid = inspector9_eid;
    }

    public synchronized int getInspector10_eid(){
        return inspector10_eid;
    }

    public synchronized void setInspector10_eid( int inspector10_eid ){
        this.inspector10_eid = inspector10_eid;
    }

    public synchronized int getResult_type_cd(){
        return result_type_cd;
    }

    public synchronized void setResult_type_cd( int result_type_cd ){
        this.result_type_cd = result_type_cd;
    }

    public synchronized int getReinspection_yn_cd(){
        return reinspection_yn_cd;
    }

    public synchronized void setReinspection_yn_cd( int reinspection_yn_cd ){
        this.reinspection_yn_cd = reinspection_yn_cd;
    }

    public synchronized int getRework_check_user_eid_cd(){
        return rework_check_user_eid_cd;
    }

    public synchronized void setRework_check_user_eid_cd( int rework_check_user_eid_cd ){
        this.rework_check_user_eid_cd = rework_check_user_eid_cd;
    }

    public synchronized int getProducer_eid_cd(){
        return producer_eid_cd;
    }

    public synchronized void setProducer_eid_cd( int producer_eid_cd ){
        this.producer_eid_cd = producer_eid_cd;
    }

    public synchronized int getModerator_eid_cd(){
        return moderator_eid_cd;
    }

    public synchronized void setModerator_eid_cd( int moderator_eid_cd ){
        this.moderator_eid_cd = moderator_eid_cd;
    }

    public synchronized int getReader_eid_cd(){
        return reader_eid_cd;
    }

    public synchronized void setReader_eid_cd( int reader_eid_cd ){
        this.reader_eid_cd = reader_eid_cd;
    }

    public synchronized int getRecorder_eid_cd(){
        return recorder_eid_cd;
    }

    public synchronized void setRecorder_eid_cd( int recorder_eid_cd ){
        this.recorder_eid_cd = recorder_eid_cd;
    }

    public synchronized int getInspector1_eid_cd(){
        return inspector1_eid_cd;
    }

    public synchronized void setInspector1_eid_cd( int inspector1_eid_cd ){
        this.inspector1_eid_cd = inspector1_eid_cd;
    }

    public synchronized int getInspector2_eid_cd(){
        return inspector2_eid_cd;
    }

    public synchronized void setInspector2_eid_cd( int inspector2_eid_cd ){
        this.inspector2_eid_cd = inspector2_eid_cd;
    }

    public synchronized int getInspector3_eid_cd(){
        return inspector3_eid_cd;
    }

    public synchronized void setInspector3_eid_cd( int inspector3_eid_cd ){
        this.inspector3_eid_cd = inspector3_eid_cd;
    }

    public synchronized int getInspector4_eid_cd(){
        return inspector4_eid_cd;
    }

    public synchronized void setInspector4_eid_cd( int inspector4_eid_cd ){
        this.inspector4_eid_cd = inspector4_eid_cd;
    }

    public synchronized int getInspector5_eid_cd(){
        return inspector5_eid_cd;
    }

    public synchronized void setInspector5_eid_cd( int inspector5_eid_cd ){
        this.inspector5_eid_cd = inspector5_eid_cd;
    }

    public synchronized int getInspector6_eid_cd(){
        return inspector6_eid_cd;
    }

    public synchronized void setInspector6_eid_cd( int inspector6_eid_cd ){
        this.inspector6_eid_cd = inspector6_eid_cd;
    }

    public synchronized int getInspector7_eid_cd(){
        return inspector7_eid_cd;
    }

    public synchronized void setInspector7_eid_cd( int inspector7_eid_cd ){
        this.inspector7_eid_cd = inspector7_eid_cd;
    }

    public synchronized int getInspector8_eid_cd(){
        return inspector8_eid_cd;
    }

    public synchronized void setInspector8_eid_cd( int inspector8_eid_cd ){
        this.inspector8_eid_cd = inspector8_eid_cd;
    }

    public synchronized int getInspector9_eid_cd(){
        return inspector9_eid_cd;
    }

    public synchronized void setInspector9_eid_cd( int inspector9_eid_cd ){
        this.inspector9_eid_cd = inspector9_eid_cd;
    }

    public synchronized int getInspector10_eid_cd(){
        return inspector10_eid_cd;
    }

    public synchronized void setInspector10_eid_cd( int inspector10_eid_cd ){
        this.inspector10_eid_cd = inspector10_eid_cd;
    }

}
