
/*
 * -----------------------------------------------------------------------------
 * File  Name     : AesoppreparationlistDTO.java
 * Description    : DTO Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.aesoppreparationlist.dto;

public class AesoppreparationlistDTO {

    private String pkey;
    private int    combovalue;
    private int    user_eid;
    private String    user_eid_lb;
    private int    document_eid;
    private int    overview_eid;
    private int    preparation_eid;
    private int    preparationlist_eid;
    private String detect_position;
    private String defect_weight;
    private String defect_weight_lb;
    private String comments;
    private String defect_weight_cd;
    private int    consumed_time;
    
    public AesoppreparationlistDTO() {
        super();
    }

    
	public synchronized String getUser_eid_lb() {
		return user_eid_lb;
	}


	public synchronized void setUser_eid_lb(String user_eid_lb) {
		this.user_eid_lb = user_eid_lb;
	}


	public synchronized int getCombovalue() {
		return combovalue;
	}

	public synchronized void setCombovalue(int combovalue) {
		this.combovalue = combovalue;
	}

	public synchronized String getComments() {
		return comments;
	}

	public synchronized void setComments(String comments) {
		this.comments = comments;
	}

	public synchronized int getConsumed_time() {
		return consumed_time;
	}

	public synchronized void setConsumed_time(int consumed_time) {
		this.consumed_time = consumed_time;
	}

	public synchronized String getDefect_weight() {
		return defect_weight;
	}

	public synchronized void setDefect_weight(String defect_weight) {
		this.defect_weight = defect_weight;
	}

	public synchronized String getDefect_weight_cd() {
		return defect_weight_cd;
	}

	public synchronized void setDefect_weight_cd(String defect_weight_cd) {
		this.defect_weight_cd = defect_weight_cd;
	}

	public synchronized String getDefect_weight_lb() {
		return defect_weight_lb;
	}

	public synchronized void setDefect_weight_lb(String defect_weight_lb) {
		this.defect_weight_lb = defect_weight_lb;
	}

	public synchronized String getDetect_position() {
		return detect_position;
	}

	public synchronized void setDetect_position(String detect_position) {
		this.detect_position = detect_position;
	}

	public synchronized int getDocument_eid() {
		return document_eid;
	}

	public synchronized void setDocument_eid(int document_eid) {
		this.document_eid = document_eid;
	}

	public synchronized int getOverview_eid() {
		return overview_eid;
	}

	public synchronized void setOverview_eid(int overview_eid) {
		this.overview_eid = overview_eid;
	}

	public synchronized String getPkey() {
		return pkey;
	}

	public synchronized void setPkey(String pkey) {
		this.pkey = pkey;
	}

	public synchronized int getPreparation_eid() {
		return preparation_eid;
	}

	public synchronized void setPreparation_eid(int preparation_eid) {
		this.preparation_eid = preparation_eid;
	}

	public synchronized int getPreparationlist_eid() {
		return preparationlist_eid;
	}

	public synchronized void setPreparationlist_eid(int preparationlist_eid) {
		this.preparationlist_eid = preparationlist_eid;
	}

	public synchronized int getUser_eid() {
		return user_eid;
	}

	public synchronized void setUser_eid(int user_eid) {
		this.user_eid = user_eid;
	}

    
}
