
/*
 * -----------------------------------------------------------------------------
 * File  Name     : ComboDTO.java
 * Description    : DTO Class
 * Special Logics :
 * @author        : Suh Hyuck Jun
 * @version       : 1.0
 * @Date          : 2005.12.24
 *------------------------------------------------------------------------------
 * History :
 *  DATE              AUTHOR          DESCRIPTION
 * -----------      -------------    -------------------
 *  2005.12.24      Suh, Hyuck Jun    Initial Release
 *------------------------------------------------------------------------------
 * Copyright(c) 2004,  All rights reserved.
 *
 * NOTICE !    You can not copy or redistribute this code.
 *
 */
package cc.struts.cian3.dto;

public class ComboDTO {

    private int    pkey;
    private String combovalue;
  

    public ComboDTO() {
        super();
    }
    public ComboDTO( int pkey, String combovalue ) {
    	super();
		this.pkey = pkey;
		this.combovalue = combovalue;
    }
	public synchronized String getCombovalue() {
		return combovalue;
	}
	public synchronized void setCombovalue(String combovalue) {
		this.combovalue = combovalue;
	}
	public synchronized int getPkey() {
		return pkey;
	}
	public synchronized void setPkey(int pkey) {
		this.pkey = pkey;
	}


}
