
<%--
  Description :
  History
  -------------------------------------------------------------
  ver.    Date          author          description
  -------------------------------------------------------------
  1.0  2005.12.24    Suh, Hyuck Jun     Initial Release

--%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ page contentType="text/html;charset=euc-kr" %>
<html>
  <head>
    <link href="<html:rewrite page="/rr.css" />" rel="stylesheet" type="text/css">
    <title><bean:message key="title.aesopinspection.select"/></title>
  </head>
  <body>

  <bean:message key="menu.4"/>    
  <h1><bean:message key="title.aesopinspection.select"/></h1>
  <table border=1>
    <tr>
      <td><c:out value="${dto.user_eid}"/></td>
      <td><c:out value="${dto.document_eid}"/></td>
      <td><c:out value="${dto.overview_eid}"/></td>
      <td><c:out value="${dto.eid}"/></td>
      <td><c:out value="${dto.teamname}"/></td>
      <td><c:out value="${dto.result_type}"/></td>
      <td><c:out value="${dto.result_type_description}"/></td>
      <td><c:out value="${dto.date}"/></td>
      <td><c:out value="${dto.doc_size_expect}"/></td>
      <td><c:out value="${dto.doc_size_result}"/></td>
      <td><c:out value="${dto.overview_time}"/></td>
      <td><c:out value="${dto.preparation_time}"/></td>
      <td><c:out value="${dto.inspection_time}"/></td>
      <td><c:out value="${dto.majorcount}"/></td>
      <td><c:out value="${dto.minorcount}"/></td>
      <td><c:out value="${dto.reinspection_yn}"/></td>
      <td><c:out value="${dto.reinspection_date}"/></td>
      <td><c:out value="${dto.rework_check_user_eid}"/></td>
      <td><c:out value="${dto.rework_time}"/></td>
      <td><c:out value="${dto.producer_eid}"/></td>
      <td><c:out value="${dto.moderator_eid}"/></td>
      <td><c:out value="${dto.reader_eid}"/></td>
      <td><c:out value="${dto.recorder_eid}"/></td>
      <td><c:out value="${dto.inspector1_eid}"/></td>
      <td><c:out value="${dto.inspector2_eid}"/></td>
      <td><c:out value="${dto.inspector3_eid}"/></td>
      <td><c:out value="${dto.inspector4_eid}"/></td>
      <td><c:out value="${dto.inspector5_eid}"/></td>
      <td><c:out value="${dto.inspector6_eid}"/></td>
      <td><c:out value="${dto.inspector7_eid}"/></td>
      <td><c:out value="${dto.inspector8_eid}"/></td>
      <td><c:out value="${dto.inspector9_eid}"/></td>
      <td><c:out value="${dto.inspector10_eid}"/></td>
    </tr>
  </table>
  <a href='<%=request.getContextPath()%>/DeleteAesopinspection.do?eid=<c:out value="${dto.eid}"/>'><bean:message key="title.aesopinspection.delete"/></a><br>
  <html:link page="/InsertAesopinspectionInit.do"><bean:message key="title.aesopinspection.insert"/></html:link><br>
  <a href='<%=request.getContextPath()%>/UpdateAesopinspectionInit.do?eid=<c:out value="${dto.eid}"/>'><bean:message key="title.aesopinspection.update"/></a><br>
  <html:link page="/SelectAesopinspectionList.do"><bean:message key="title.aesopinspection.selectlist"/></html:link>
  </body>
</html>
