
<%--
  Description :
  History
  -------------------------------------------------------------
  ver.    Date          author          description
  -------------------------------------------------------------
  1.0  2005.12.24    Suh, Hyuck Jun     Initial Release

--%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ page contentType="text/html;charset=euc-kr" %>
<html>
  <head>
    <link href="<html:rewrite page="/rr.css" />" rel="stylesheet" type="text/css">
    <title><bean:message key="title.aesopoverview.update"/></title>
  </head>
  <body>
    <!--  -->
    <div id='wikiHeader'>
    <!-- () -->

  <bean:message key="menu.2"/>
  <h1><bean:message key="title.aesopoverview.update"/></h1>
  <logic:messagesPresent>
      <span id="errorsHeader"><bean:message key="errors.validation.header"/></span>
      <html:messages id="error">
        <li><c:out value="${error}"/></li>
      </html:messages>
      <hr>
  </logic:messagesPresent>
  <logic:messagesPresent message="true">
         <html:messages id="message" message="true">
           <span id="success"><c:out value="${message}"/></span><br>
         </html:messages>
  </logic:messagesPresent>
  <html:form action="UpdateAesopoverviewAction" method="post" enctype="multipart/form-data">
  <html:hidden name="AesopoverviewForm" property="document_eid"/>
  <html:hidden name="AesopoverviewForm" property="overview_eid"/>
  <table class="wiki">
    <tr class="wiki">
      <td class="info">⹮(doc)</td>
      <td class="wiki">
        <html:file name="AesopoverviewForm" property="fileList[0]"/>
        <c:out value="${dto.org_filename0}"/><html:checkbox name="AesopoverviewForm" property="fileList0delyn" value="1"><bean:message key="button.delete"/></html:checkbox>
      </td>
    </tr>
    <tr class="wiki">
      <td class="info">Inspection </td>
      <td class="wiki"><html:text property="inspection_expectation_date"/></td>
    </tr>
    <tr class="wiki">
      <td class="info">⹰ Size</td>
      <td class="wiki"><html:text property="document_size"/></td>
    </tr>
    <tr class="wiki">
      <td class="info">⹰ Size </td>
      <td class="wiki">
        <html:select name="AesopoverviewForm" property="document_size_type">
          <html:options collection="document_size_type_cd" property="pkey" labelProperty="combovalue"/>
        </html:select>
      </td>
    </tr>
    <tr class="wiki">
      <td class="wiki">&nbsp;</td>
      <td class="wiki">&nbsp;</td>      
    </tr>
    <tr class="wiki">
      <td class="info">1</td>
      <td class="wiki">
        <html:file name="AesopoverviewForm" property="fileList[1]"/>
        <c:out value="${dto.org_filename1}"/><html:checkbox name="AesopoverviewForm" property="fileList1delyn" value="1"><bean:message key="button.delete"/></html:checkbox>
      </td>
    </tr>
    <tr class="wiki">
      <td class="info">2</td>
      <td class="wiki">
        <html:file name="AesopoverviewForm" property="fileList[2]"/>
        <c:out value="${dto.org_filename2}"/><html:checkbox name="AesopoverviewForm" property="fileList2delyn" value="1"><bean:message key="button.delete"/></html:checkbox>        
      </td>
    </tr>
    <tr class="wiki">
      <td class="info">3</td>
      <td class="wiki">
        <html:file name="AesopoverviewForm" property="fileList[3]"/>
        <c:out value="${dto.org_filename3}"/><html:checkbox name="AesopoverviewForm" property="fileList3delyn" value="1"><bean:message key="button.delete"/></html:checkbox>        
      </td>
    </tr>
    <tr class="wiki">
      <td class="info">⹮(pdf)</td>
      <td class="wiki">
        <html:file name="AesopoverviewForm" property="fileList[4]"/>
        <c:out value="${dto.org_filename4}"/><html:checkbox name="AesopoverviewForm" property="fileList4delyn" value="1"><bean:message key="button.delete"/></html:checkbox>        
      </td>
    </tr>
  </table>
  <br>
  <html:submit><bean:message key="button.update"/></html:submit>
  </html:form>
  <a href='<%=request.getContextPath()%>/SelectAesopoverview.do?document_eid=<c:out value="${dto.document_eid}"/>&overview_eid=<c:out value="${dto.overview_eid}"/>'><bean:message key="button.cancel"/></a>



    <!--  -->
    <hr class='wikiHr' />
    <div id='wikiBody'>
      <div id='wikiContent'>
        <div class='indent'>
    <!-- () -->
 
    <!--  -->
    </div></div></div>
    <!-- () -->
    <!-- 볡 -->
    </div>
    <!-- 볡() -->    
  </body>
</html>
