
<%--
  Description :
  History
  -------------------------------------------------------------
  ver.    Date          author          description
  -------------------------------------------------------------
  1.0  2005.12.24    Suh, Hyuck Jun     Initial Release

--%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ page contentType="text/html;charset=euc-kr" %>
<html>
  <head>
    <link href="<html:rewrite page="/rr.css" />" rel="stylesheet" type="text/css">
    <title><bean:message key="title.aesoppreparation.update"/></title>
  </head>
  <body>
  
  <bean:message key="menu.3"/>  
  <h1><bean:message key="title.aesoppreparation.update"/></h1>
  <logic:messagesPresent>
      <span id="errorsHeader"><bean:message key="errors.validation.header"/></span>
      <html:messages id="error">
        <li><c:out value="${error}"/></li>
      </html:messages>
      <hr>
  </logic:messagesPresent>
  <logic:messagesPresent message="true">
         <html:messages id="message" message="true">
           <span id="success"><c:out value="${message}"/></span><br>
         </html:messages>
  </logic:messagesPresent>
  <html:form action="UpdateAesoppreparationAction" focus="name">
  <html:hidden name="AesoppreparationForm" property="user_eid"/>
  <html:hidden name="AesoppreparationForm" property="overview_eid"/>
  <html:hidden name="AesoppreparationForm" property="preparation_eid"/>
  <table>
    <tr>
      <td>ҿð():</td>
      <td><html:text property="consumed_time"/></td>
    </tr>
  </table>
  <html:submit><bean:message key="button.update"/></html:submit>
  </html:form>
  <html:link page="/SelectAesoppreparationList.do"><bean:message key="title.aesoppreparation.selectlist"/></html:link>
  </body>
</html>
