
<%--
  Description :
  History
  -------------------------------------------------------------
  ver.    Date          author          description
  -------------------------------------------------------------
  1.0  2006.09.25    Suh, Hyuck Jun     Initial Release

--%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ taglib uri="/WEB-INF/fmt.tld" prefix="fmt" %>
<%@ page contentType="text/html;charset=euc-kr" %>
<html>
  <head>
    <link href="<html:rewrite page="/rr.css" />" rel="stylesheet" type="text/css">
    <title><bean:message key="title.wordsearch.insert"/></title>
  </head>
  <body>
    <h1><bean:message key="title.wordsearch.insert"/></h1>
    <logic:messagesPresent>
      <span id="errorsHeader"><bean:message key="errors.validation.header"/></span>
      <html:messages id="error">
        <li><c:out value="${error}"/></li>
      </html:messages>
      <hr>
    </logic:messagesPresent>
    <logic:messagesPresent message="true">
      <html:messages id="message" message="true">
        <span id="success"><c:out value="${message}"/></span><br>
      </html:messages>
    </logic:messagesPresent>
    <html:form action="InsertWordsearchAction" focus="name">
      <table>
        <tr>
          <td>ܾ:</td>
          <td><html:text property="word"/></td>
        </tr>
        <tr>
          <td>ǰ:</td>
          <td><html:text property="tagging"/></td>
        </tr>
        <tr>
          <td>:</td>
          <td><html:text property="description"/></td>
        </tr>
      </table>
      <html:submit><bean:message key="button.submit"/></html:submit>
    </html:form>
    <html:link page="/SelectWordsearchList.do"><bean:message key="title.wordsearch.selectlist"/></html:link>
  </body>
</html>
